Get Beneficiary ID
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/getBeneId \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/getBeneId"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/getBeneId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"subCode": "200",
"message": "beneId retrieved successfully",
"data": {
"beneId": "JOHN18011"
}
}{
"status": "ERROR",
"subCode": "403",
"message": "APIs not enabled. Please fill out the [Support Form](https://telr.cashfree.com/merchants/landing?env=prod&raise_issue=1)"
}{
"status": "ERROR",
"subCode": "404",
"message": "Beneficiary not found with given bank account details"
}Get Beneficiary ID
Use this API to get the beneficiary ID by providing the bank account number and ifsc.
GET
/
payout
/
v1
/
getBeneId
Get Beneficiary ID
Query Parameters
Beneficiaries bank account number, alphanumeric ( >=6 and <= 40 characters).
Beneficiaries bank's IFSC code (standard IFSC format) - length 11, first four IFSC and 5th character must be 0.
⌘I
